petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDATSSetRHSFunctionLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetRHSFunctionLocal(DM dm,InsertMode imode,DMDATSRHSFunctionLocal func,void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| imode | - insert mode for the residual
| func | - local residual evaluation
| ctx | - optional context for local residual evaluation

### Calling sequence for func

    func(DMDALocalInfo info,PetscReal t,void *x,void *f,void *ctx)

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on
| t | - time at which to evaluate residual
| x | - array of local state information
| f | - output array of local residual information
| ctx | - optional user context

### See Also

DMTSSetRHSFunction(), DMDATSSetRHSJacobianLocal(), DMDASNESSetFunctionLocal()

### Level

beginner

### Location

src/ts/utils/dmdats.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages